package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * Wordresults对象 trs_word_results
 * 
 * @author ruoyi
 * @date 2025-09-05
 */
public class TrsWordResults extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 审校状态 */
    @Excel(name = "审校状态")
    private String status;

    /** 错误词 */
    @Excel(name = "错误词")
    private String wrongWord;

    /** 错误类型 */
    @Excel(name = "错误类型")
    private String errorType;

    /** 错误级别 */
    @Excel(name = "错误级别")
    private String errorGrade;

    /** 正确词 */
    @Excel(name = "正确词")
    private String correctWord;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 链接 */
    @Excel(name = "链接")
    private String url;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 操作者 */
    @Excel(name = "操作者")
    private String operuser;

    /** ip地址 */
    @Excel(name = "ip地址")
    private String ip;

    /** 是否误报 0-正常 1-误报 */
    @Excel(name = "是否误报 0-正常 1-误报")
    private Integer res;

    /** 日志id */
    @Excel(name = "日志id")
    private Long logId;

    /** 类型 */
    @Excel(name = "类型")
    private String sitename;


    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    private Long deptId;
    private Long userId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setErrorType(String errorType) 
    {
        this.errorType = errorType;
    }

    public String getErrorType() 
    {
        return errorType;
    }

    public void setErrorGrade(String errorGrade) 
    {
        this.errorGrade = errorGrade;
    }

    public String getErrorGrade() 
    {
        return errorGrade;
    }

    public void setCorrectWord(String correctWord) 
    {
        this.correctWord = correctWord;
    }

    public String getCorrectWord() 
    {
        return correctWord;
    }

    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    public void setOperuser(String operuser) 
    {
        this.operuser = operuser;
    }

    public String getOperuser() 
    {
        return operuser;
    }

    public void setIp(String ip) 
    {
        this.ip = ip;
    }

    public String getIp() 
    {
        return ip;
    }

    public void setRes(Integer res) 
    {
        this.res = res;
    }

    public Integer getRes() 
    {
        return res;
    }

    public void setLogId(Long logId) 
    {
        this.logId = logId;
    }

    public Long getLogId() 
    {
        return logId;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("status", getStatus())
            .append("wrongWord", getWrongWord())
            .append("errorType", getErrorType())
            .append("errorGrade", getErrorGrade())
            .append("correctWord", getCorrectWord())
            .append("source", getSource())
            .append("url", getUrl())
            .append("time", getTime())
            .append("operuser", getOperuser())
            .append("ip", getIp())
            .append("res", getRes())
            .append("logId", getLogId())
            .append("sitename", getSitename())
            .toString();
    }
}
